// Fill out your copyright notice in the Description page of Project Settings.

#pragma once

#include "CoreMinimal.h"
#include "Engine/DeveloperSettings.h"
#include "PortaFrameGrabberSettings.generated.h"

/**
 * 
 */
UCLASS(Config = Game, meta = (DisplayName = "Frame Grabber Settings"))
class PORTAINTERFACE_API UPortaFrameGrabberSettings : public UDeveloperSettings
{
	GENERATED_BODY()
	
public:
	UPROPERTY(Config, EditAnywhere, BlueprintReadOnly, Category = "General")
	int JPEGQuality = 90;

	UPROPERTY(Config, EditAnywhere, BlueprintReadOnly, Category = "General")
	bool ShouldUseCustomResolution = false;

	UPROPERTY(Config, EditAnywhere, BlueprintReadOnly, Category = "General")
	int CustomResolutionWidth = 0;

	UPROPERTY(Config, EditAnywhere, BlueprintReadOnly, Category = "General")
	int CustomResolutionHeight = 0;
};
